Bug 483093 - rgmanager: samba.sh tries to kill the wrong pid file
rgmanager: samba.sh tries to kill the wrong pid file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 12:20 EST by Shane Bradley
Modified: 2010-10-23 03:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:05:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the declaration of correct path to pids (609 bytes, patch)
2009-01-29 12:21 EST, Shane Bradley
no flags Details | Diff

  None (edit)
Description Shane Bradley 2009-01-29 12:20:50 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.5) Gecko/2008121622 Fedora/3.0.5-1.fc10 Firefox/3.0.5

If a resource is setup for a service using the script /usr/share/cluster/samba.sh then on first status check that service will fail because the resource will die.

an 27 15:49:44 rh5conga1 clurgmgrd[2135]: <notice> Service service:sambatest started 
Jan 27 15:49:50 rh5conga1 clurgmgrd: [2135]: <err> Checking Existence Of File /var/run/cluster/samba/samba:sambash/smbd.pid [samba:sambash] > Failed 
Jan 27 15:49:50 rh5conga1 clurgmgrd: [2135]: <err> Monitoring Service samba:sambash > Service Is Not Running 
Jan 27 15:49:50 rh5conga1 clurgmgrd[2135]: <notice> status on samba "sambash" returned 1 (generic error) 
Jan 27 15:49:50 rh5conga1 clurgmgrd[2135]: <notice> Stopping service service:sambatest 
Jan 27 15:49:50 rh5conga1 clurgmgrd: [2135]: <err> Checking Existence Of File /var/run/cluster/samba/samba:sambash/smbd.pid [samba:sambash] > Failed - File Doesn't Exist 
Jan 27 15:49:50 rh5conga1 clurgmgrd: [2135]: <err> Stopping Service samba:sambash > Failed 

--------

The problem is that it is checking the wrong pid file because the samba.sh defines the pid as;
declare SAMBA_smbd_pid_file="$SAMBA_pid_dir/smbd.pid"                                                                                                         
declare SAMBA_nmbd_pid_file="$SAMBA_pid_dir/nmbd.pid"                                                                                                         


It should be declared as this below since that is the path to the pid that is created:
                                                                                      
declare 
SAMBA_smbd_pid_file="$SAMBA_pid_dir/smbd-smb.conf.pid"                                                                                                
declare SAMBA_nmbd_pid_file="$SAMBA_pid_dir/nmbd-smb.conf.pid"

Path will be attached to fix the issue.

Reproducible: Always

Steps to Reproduce:
1. Setup samba.sh resource in a clustered service
2. start the service
3. the first status check will occur and error will occur
Actual Results:  
Checking status of incorrect pid will occur and generate a failed service.

Expected Results:  
Checking status of existence of correct pid file.
Comment 1 Shane Bradley 2009-01-29 12:21:23 EST
Created attachment 330379 [details]
patch to fix the declaration of correct path to pids
Comment 2 Marek Grac 2009-02-02 11:59:32 EST
Fixed.

Samba changed naming convention for pid file, so the bug is probably in all RHEL 5.x
Comment 4 Chris Ward 2009-06-14 19:20:18 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 5 Chris Ward 2009-07-03 14:22:28 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 6 Chris Ward 2009-07-10 15:10:10 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 7 Chris Ward 2009-08-03 11:46:04 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 5 Released! ~~

RHEL 5.4 Snapshot 5 is the FINAL snapshot to be release before RC. It has been 
released on partners.redhat.com. If you have already reported your test results, 
you can safely ignore this request. Otherwise, please notice that there should be 
a fix available now that addresses this particular issue. Please test and report 
back your results here, at your earliest convenience.

If you encounter any issues while testing Beta, please describe the 
issues you have encountered and set the bug into NEED_INFO. If you 
encounter new issues, please clone this bug to open a new issue and 
request it be reviewed for inclusion in RHEL 5.4 or a later update, if it 
is not of urgent severity. If it is urgent, escalate the issue to your partner manager as soon as possible. There is /very/ little time left to get additional code into 5.4 before GA.

Partners, after you have verified, do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other 
appropriate customer representative.
Comment 9 Chris Ward 2009-08-25 09:34:08 EDT
Shane,  please update us with the latest Beta test results confirming the
resolution of this request. Thank you.
Comment 12 errata-xmlrpc 2009-09-02 07:05:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1339.html

Note You need to log in before you can comment on or make changes to this bug.